[Geomoose-users] GeoMoose 2.x Google Chrome Scrolling Error

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[Geomoose-users] GeoMoose 2.x Google Chrome Scrolling Error

Christopher Hughes
As of Google Chrome 73, if you scroll to zoom using a GeoMoose 2 program you get an error message in the DevTools console referencing OpenLayers.js, saying "[Intervention] Unable to preventDefault inside passive event listener due to target being treated as passive. See https://www.chromestatus.com/features/6662647093133312"

There's a guidance document here: https://developers.google.com/web/updates/2019/02/scrolling-intervention but I haven't found an obvious place in OpenLayers.js to make their recommended changes.

I haven't noticed any impact on scrolling. Does anyone know how concerned we should be about this issue or how to fix it?

Thanks!

--
Chris Hughes

GIS Analyst
Lincoln County Surveyor Department 
880 NE 7th St. l Newport, OR 97365
Tel: (541) 574 1283

_______________________________________________
Geomoose-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/geomoose-users
Reply | Threaded
Open this post in threaded view
|

Re: [Geomoose-users] GeoMoose 2.x Google Chrome Scrolling Error

James Klassen-2
So Chrome's solution to a minor performance issue is to violate the spec, and break previously functioning and correct pages instead of just emitting a warning that encourages proper coding?  Great... and just when I thought we were done with IE's shenanigans.

I mean, if they are going to do this, can't they at least detect preventDefault() was called and revert the behavior for the rest of the life of that event handler?

On Fri, May 10, 2019 at 11:03 AM Christopher Hughes <[hidden email]> wrote:
As of Google Chrome 73, if you scroll to zoom using a GeoMoose 2 program you get an error message in the DevTools console referencing OpenLayers.js, saying "[Intervention] Unable to preventDefault inside passive event listener due to target being treated as passive. See https://www.chromestatus.com/features/6662647093133312"

There's a guidance document here: https://developers.google.com/web/updates/2019/02/scrolling-intervention but I haven't found an obvious place in OpenLayers.js to make their recommended changes.

I haven't noticed any impact on scrolling. Does anyone know how concerned we should be about this issue or how to fix it?

Thanks!

--
Chris Hughes

GIS Analyst
Lincoln County Surveyor Department 
880 NE 7th St. l Newport, OR 97365
Tel: (541) 574 1283
_______________________________________________
Geomoose-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/geomoose-users

_______________________________________________
Geomoose-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/geomoose-users